<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Simple XML Reader -- Adding jQuery Accordion</title>

<!-- http://jqueryui.com/accordion/ --> 

<link rel="stylesheet" href="http://code.jquery.com/ui/1.10.3/themes/smoothness/jquery-ui.css" />
<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
<script src="http://code.jquery.com/ui/1.10.3/jquery-ui.js"></script>
<link rel="stylesheet" href="http://jqueryui.com/accordion/resources/demos/style.css" />

<script>
	$(function() {
		$("#myAccordion").accordion();  //add accordion functionality to div with id of myAccordion
	});
</script>

</head>

<body>
<?php
//Report all errors
error_reporting(E_ALL);
?>

<h1>Simple XML Reader -- Adding jQuery Accordion</h1>
<div id="myAccordion">
<?php 
// http://www.w3schools.com/xml/simple.xml

//http://www.php.net/manual/en/function.simplexml-load-file.php

$file = 'w3school_simple_menu.xml';

if (file_exists($file)) {
    $xml = simplexml_load_file($file); 
} else {
	echo "PROBLEM";
    exit("Failed to open $file.");
}

foreach($xml->food as $food_item){
	echo "<h3>" . $food_item->name ."</h3>"; 
	echo "<div>";
	echo "<p>" . $food_item->description . "</p>";
	echo "Calories: " . $food_item->calories . "<br />";
	echo "Price: " . $food_item->price . "<br />";
	echo "</div>";
	}



?>
</div>
</body>
</html>